Package picard.util

# Class GraphUtils.Graph<Node extends Comparable<Node>>

java.lang.Object
picard.util.GraphUtils.Graph<Node>

Enclosing class:
  `GraphUtils`

public static class GraphUtils.Graph<Node extends Comparable<Node>> extends Object

## Constructor Summary

Constructors
Constructor
Description
`Graph()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addEdge(Node left, Node right)`
`Integer`
`addNode(Node singleton)`
`Map<Node,Integer>`
`cluster()`
returns the cluster map of connected components
`List<Node>`
`getNodes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Graph

public Graph()

## Method Details

### getNodes

public List<Node> getNodes()

### cluster

public Map<Node,Integer> cluster()
returns the cluster map of connected components

Returns:
  Nodes that point to the same integer are in the same cluster.

### addNode

public Integer addNode(Node singleton)

### addEdge

public void addEdge(Node left, Node right)